# gnuplot 4.2 plot file
set multiplot

# main plot
reset
set encoding iso_8859_1

set rmargin at screen 0.998
set tmargin at screen 0.98
set lmargin at screen 0.1111
set bmargin at screen 0.40

set format x "%.0s%c"
set format y "10^{%T}"

set xlabel "Fourier frequency (Hz)"
set ylabel "frequency noise (Hz Hz^{-1/2})"
set key right top
set logscale x
set logscale y
set yrange [:]
set xrange [1:10e3]

set grid
set mxtics 10
set mytics 10

set size 1, 0.8
set samples 500

set style line 30 lt rgb "#d3362b" lw 2
set style line 31 lt rgb "#ffbd23" lw 2
set style line 32 lt rgb "#2a4577" lw 2
set style line 33 lt rgb "#2eaeb3" lw 2
set style line 34 lt rgb "#008a2e" lw 2
set style line 35 lt rgb "dark-magenta" lw 3

nan = sqrt(-1)
req_freq(f) = (f<0.1) ? nan : (f<0.4) ? 1000 : (f<1) ? 100 : (f<10) ? 3 : (f<20) ? 1 : (f<1000) ? 20/f : (f<10000) ? 2e-2 : nan
req_npro(f) = 10e3/f

set xtics 1,10,9e3
set xtics add ("10k      " 10e3)

set samples 1000

plot \
  'plot_lsd.dat' u 1:2 title 'control signal'  w l ls 30,\
  '' u 1:3 title 'error signal'  w l ls 32,\
  req_freq(x) title 'FSS requirements' w l ls 35, \
  req_npro(x) title 'NPRO, typical' w l ls 34


# subplot 1
reset

set rmargin at screen 0.998
set tmargin at screen 0.31
set lmargin at screen 0.1111
set bmargin at screen 0.06

set xlabel "time (s)"
set ylabel "frequency (MHz)"
set grid front
set size 0.6, 0.5
set style fill solid 0.25 border

set style line 30 lt rgb "#d3362b" lw 2
set style line 32 lt rgb "#2a4577" lw 1
set style line 33 lt rgb "#2a4577" lw 2
set style line 34 lt rgb "#008a2e" lw 2


plot [1:60] [-6.29378149738:6.18511559735] \
  'plot_timesignal.dat' using ($1/65536+1):(($3-2.08237379211)*715) notitle w l ls 33, \
  '' using ($1/65536+1):(($2-2.08237379211)*715) notitle w l ls 32, \
  '' using ($1/65536+1):(($4-2.08237379211)*715) notitle w l ls 32


unset multiplot
